#終了画面。5秒経過で終了
import wx
from datetime import datetime,timedelta,timezone
import time
import subprocess

from .gpio_setup import GPIOExit

class ExitFrame(wx.Frame):
    def __init__(self,parent):
        wx.Frame.__init__(self,parent,-1,"exit")
        size=wx.ScreenDC().GetSize()
        self.SetSize(size)
        self.SetPosition(wx.Point(0,0))
        self.SetExitFrame()

    def ExitApp(self,event):
        GPIOExit()
        wx.Exit()   #アプリの完全終了
        subprocess.run(['sudo','reboot'])

    def SetExitFrame(self):
        exitpanel=wx.Panel(self)
        image=wx.Image('/home/pi/mirs_display/img/rogo.JPG')
        bitmap=image.ConvertToBitmap()
        figure=wx.StaticBitmap(exitpanel,-1,bitmap)
        text=wx.StaticText(exitpanel,-1,"Exit...")

        font=wx.Font(50,wx.FONTFAMILY_DEFAULT,wx.FONTSTYLE_NORMAL,wx.FONTWEIGHT_NORMAL)
        text.SetFont(font)

        self.timer=wx.Timer(self)
        self.Bind(wx.EVT_TIMER,self.ExitApp)
        self.timer.StartOnce(5000)

        sizer=wx.GridBagSizer()
        sizer.Add(figure,(0,0),(1,1),flag=wx.EXPAND)
        sizer.Add(text,(1,0),(1,1),flag=wx.EXPAND|wx.LEFT,border=800)
        sizer.AddGrowableRow(0,3)
        sizer.AddGrowableRow(1,1)
        sizer.AddGrowableCol(0,1)
        exitpanel.SetSizer(sizer)
