#スタート画面
import wx
from datetime import datetime,timedelta,timezone
import time
import RPi.GPIO as GPIO

from .select_ready import SelectFrame
from .gpio_setup import OK

class StartFrame(wx.Frame):
    def __init__(self,parent,id):
        wx.Frame.__init__(self,parent,id,"start")
        size=wx.ScreenDC().GetSize()
        self.SetSize(size)
        self.SetPosition(wx.Point(0,0))
        self.SetStartFrame()

    def ShowSelect(self):
        selectFrame=SelectFrame(self)
        selectID=selectFrame.Show()

    def OnTime(self,event):
        if(GPIO.input(OK)==GPIO.LOW):
            self.timer.Stop()
            cimage=wx.Image('/home/pi/mirs_display/img/start_click.jpg')
            cbmp=cimage.ConvertToBitmap()
            self.button.SetBitmap(cbmp)
            self.Refresh()
            time.sleep(1)
            self.ShowSelect()

    def SetStartFrame(self):
        startpanel=wx.Panel(self,-1)
        image1=wx.Image('/home/pi/mirs_display/img/rogo.JPG')
        bitmap1=image1.ConvertToBitmap()
        rogo=wx.StaticBitmap(startpanel,-1,bitmap1)
        image2=wx.Image('/home/pi/mirs_display/img/start_on_carsol.jpg')
        bitmap2=image2.ConvertToBitmap()
        self.button=wx.StaticBitmap(startpanel,-1,bitmap2)

        self.timer=wx.Timer(self)
        self.Bind(wx.EVT_TIMER,self.OnTime)
        self.timer.Start(200,wx.TIMER_CONTINUOUS)

        sizer=wx.GridBagSizer()
        sizer.Add(rogo,(0,0),(1,1),flag=wx.EXPAND)
        sizer.Add(self.button,(1,0),(1,1),flag=wx.EXPAND|wx.LEFT|wx.RIGHT,border=50)
        sizer.AddGrowableRow(0,3)
        sizer.AddGrowableRow(1,1)
        sizer.AddGrowableCol(0,1)
        startpanel.SetSizer(sizer)
